Subject: Re: bug#20802: Segfault when showing non-GTK+ tooltip

From: martin rudalics <[email-masked]>
Date: Thu, 18 Jun 2015 15:37:20 +0200

> Why can't we simply move the code that frees the image cache to
 > delete_terminal?  There's only one image cache for each terminal, and
 > it's shared by all frames on that terminal, right?  And we call
 > delete-terminal when we delete the last frame on the terminal, right?

‘delete-terminal’ can run into precisely the same problem I described in
my previous scenario.  IMHO we have to give up the idea of using
refcounts to tell whether a frame might still use some object - they are
not up to this task.

martin